/* Common styles */
#button-up{
    display: none;
    opacity:0.5;
    filter:alpha(opacity=50);
    position: fixed;
    right: 20px;
    bottom: 100px;
    color: #FFFFFF;
    transition: .3s;
    background: rgba(24, 207, 171, .4);
}

#button-up:hover{
    cursor: pointer;
    opacity: 1;
    filter:alpha(opacity=100);
    transition: .3s;
    color: #FF0000;
}


body {
    font-family: 'Open Sans', sans-serif;
}

.btn {
    color: white;
    height: 55px;
    width: 170px;
    border-radius: 3px;
    border: none;
    margin: 0 10px;
    font-size: 18px;
    cursor: pointer;
    transition: 0.3s ease;
}

.headline {
    text-transform: uppercase;
    text-align: center;
    color: #18B4CF;
    font-size: 27px;
}

/*header*/

.header {
    background: #313131;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header-logo {
    margin-left: 27px;
    display: flex;
    align-items: center;
    transition: 1s
}

.header-logo:hover {
    transform: scale(1.1);
}

.header-logo-link {
    color: white; /* Цвет ссылок */
    text-decoration: none;
}

.header-logo-architect {
    padding-left: 27px;
    margin: 0 auto;
    font-size: 22px;
    vertical-align: super;
}

.header-logo-architect:hover {
    color: #18B4CF;
}

.header-nav-list {
    text-transform: uppercase;
    list-style-type: none;
    padding: 0;
}

.header-nav-items {
    display: inline-block;
    padding: 0 35px;
    font-size: 15px;
    text-transform: uppercase;
}

.header-nav-items-links {
    color: white; /* Цвет ссылок */
    text-decoration: none;
}

.header-nav-items-links:hover {
    color: #18B4CF;
}


.header-search {
    background: black;
    width: 70px;
    box-sizing: border-box;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.header-search-btn{
    height: 70px;
    width: 70px;
    color: white;
    background: black;
    border: none;

}

/*header*/

/*main*/

.main-slogan {
    padding: 0;
    margin: 0;
    background-image: url('../img/header-bg.jpeg');
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    height: 369px;
}

.main-posts {
    padding-bottom: 55px;
}
.main-slogan-title {
    margin-top: 0;
    padding-top: 49px;
    text-transform: uppercase;
    color: white;
    font-size: 27px;
    text-align: center;
}

.main-slogan-bottoms {
    display: flex;
    justify-content: center;
    padding-top: 44px;
}

.main-slogan-bottoms-green {
    background: #89CA62;
}

.main-slogan-bottoms-blue {
    background: #14B9D5;
    /*margin-left: 20px;*/
}


.btn:hover {
    background-color: #cb760c;
}

.btn:after {
    background-color: blueviolet;
}

.main-posts {
    margin: 0;
    background: #F2F2F2;
}
.main-posts-header {
    margin: 0;
    padding-top: 49px;
}


.main-posts-masonry {
    margin: auto;
    padding-top: 52px;
    display: flex;
    flex-flow: column wrap;
    max-height: 825px;
    max-width: 1140px;
}

.main-posts-masonry-item {
    margin: 0 15px 15px 0;
    width: 370px;
    text-decoration: none;
    background: white;
}

.masonry-img {
    display: block;
    width: 100%;
}
.masonry-title {
    color: #353A3D;
    font-size: 18px;
    display: block;
    text-align: center;
    padding: 20px 10px;

}

.main-posts-masonry-item:hover {
    transform: scale(1.1);
    transition: 1s;
}

.main-posts-masonry-item:hover > .masonry-title {
    color: #18B4CF;
    transition: 0.5s;
}

.main-client {
    padding: 0;
    margin: 0;
    background-image: url('../img/parallax-bg.jpeg');
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    height: 588px;
    width: 100%;
}

.main-client-title {
    margin-top: 0;
    padding-top: 106px;
    text-transform: uppercase;
    color: white;
    font-size: 27px;
    text-align: center;
}

.main-client-line{
    width: 60px;
    height: 3px;
    background-color: #18B4CF;
    margin: 87px auto 0;
}

.main-client-links {
    padding-top: 106px;
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    /*grid-gap: 55px;*/
    justify-items: center;
    justify-content: center;
    width: 880px;
    height: 63px;
    margin: 0 auto;
}

.main-client-links-items:hover {
    transform: scale(1.1);
    transition: 0.5s;
}


.main-client-links-items-img {
    display: block;
    width: 100%;
}

.main-top-rated {
    padding-top: 49px;
    background: #E5E5E5;
}

.main-top-rated-header {
    padding: 0;
    margin: 0 auto;
}

.main-top-rated-img {
    margin-top: 51px;
    /*width: 100%;*/
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    align-items: stretch;
    /*justify-items: stretch;*/
    justify-content: space-between;
}

.main-top-rated-img-items {
    max-width:100%;height:auto;
}


.main-news {
    padding-top: 49px;
    max-width: 1170px;
    width: 100%;
    margin: auto;
}

.main-news-header {
    padding: 0;
    margin: 0 auto;
}

.main-news-content {
    margin-top: 51px;

}

.main-news-content-first-row {
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 3fr 1fr;
    align-items: stretch;
    justify-content: space-between;
    grid-gap: 35px;
}

.news-link {
    text-decoration: none;
    color: #5B6469;
}

.news-content-flex {
    display: flex;
    width: 100%;
    height: 260px;
}

.news-content-flex-without {
    display: flex;
    flex-direction: column;
    height: 260px;
}

.news-header-without-content {
    display: flex;
    flex-direction: column;
    text-align: center;
    background: #F9F7F7;
    padding: 14px 27px 11px;
    font-size: 18px;
}

.main-news-content-first-row-description-img {
    display: block;
    width: 100%;
}

.content-one-row {
    padding: 41px 24px 41px 0px;
}

.main-news-content-first-row-description-block {
    display: block;
    /*width: 100%;*/
    /*height: 100%;*/
    min-width: 300px;
    text-align: right;
    background: #F9F7F7;
}

.main-news-content-first-row-description-header {
    margin: 0;
}

.main-news-content-midle-rows {
    display: grid;
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr 1fr;
    align-items: stretch;
    justify-content: space-between;
    grid-gap: 35px;
    padding-top: 44px;
}

.main-news-content-midle-rows-description-block {
    display: block;
    text-align: right;
    background: #F9F7F7;
    padding: 14px 27px 11px;
}

.main-news-content-midle-rows-description-header {
    margin: 0;
}

.news-img-block {
    display: block;
    width: 100%;
}

.news-img-block-with {
    display: block;
    width: 100%;
    height: 100%;
}

.news-img-block-without {
    display: block;
    width: 100%;
    height: 100%;
}

.main-news-content-last-row {
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr 3fr;
    align-items: stretch;
    justify-content: space-between;
    grid-gap: 35px;
}

.main-news-content-last-row-description-block {
    text-align: right;
}

.main-news-content-last-row-description-header {
    margin: 0;
}

.header-bold {
    font-weight: bolder;
    color: #353A3D;
}

.footer {
    margin-top: 77px;
    background: black;
    color: white;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.footer-text-span {
    display: block;
}

.footer-logo-link {
    display: flex;
    align-items: start;

}

.footer-logo-link:hover {
    transform: scale(1.1);
    transition: 1s;
}